Loading...
Searching...
No Matches
auth_response_t Struct Reference

Digest parameters for digest-response in Authorize. More...

`#include <auth_digest.h>`

## Data Fields

char const * | ar_realm
| realm
char const * | ar_nonce
| nonce
char const * | ar_uri
| uri
char const * | ar_response
| response
char const * | ar_algorithm
| algorithm
char const * | ar_cnonce
| cnonce
char const * | ar_opaque
| opaque
char const * | ar_qop
| qop
char const * | ar_nc
| nonce count
unsigned | ar_md5: 1
| MS5 algorithm.
unsigned | ar_md5sess: 1
| MD5-sess algorithm.
unsigned | ar_sha1: 1
| SHA1 algorithm.
unsigned | ar_auth: 1
| qop=auth
unsigned | ar_auth_int: 1
| qop=auth-int

## Detailed Description

Digest parameters for digest-response in Authorize.

The digest-response is sent by the client to a server or a proxy. It can be included in, e.g., Authorization or Proxy-Authorization headers.

credentials = "Digest" digest-response
digest-response = 1#( username | realm | nonce | digest-uri |
response | [ algorithm ] | [cnonce] | [opaque] |
[message-qop] | [nonce-count] | [auth-param] )
username = "username" "=" username-value
username-value = quoted-string
digest-uri = "uri" "=" digest-uri-value
digest-uri-value = request-uri ; As specified by HTTP/1.1
message-qop = "qop" "=" qop-value
cnonce = "cnonce" "=" cnonce-value
cnonce-value = nonce-value
nonce-count = "nc" "=" nc-value
nc-value = 8LHEX
response = "response" "=" request-digest
request-digest = <"> 32LHEX <">
LHEX = "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" |
"8" | "9" | "a" | "b" | "c" | "d" | "e" | "f"

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.